# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import time
import locale
import PySide6.QtWidgets as widgets
import PySide6.QtUiTools as uic

# Viele rote Kringel, weil die Typen erst bekannt sind, wenn der QUiLoader gelaufen ist.
# Man könnte mit typing.cast abhelfen, aber das wird unübersichtlich.
        
def convert(s_in):
    print(s_in)
    t = time.time()
    s = locale.str(t)
    w.label.setText(s)
    f.write(s +"\n")

f = open("daten.txt", "w")

app = widgets.QApplication(sys.argv)
locale.setlocale(locale.LC_ALL, "")
w = uic.QUiLoader().load("temperatur.ui")
w.lineEdit.textEdited.connect(convert)
w.show()
app.exec()

f.close()